# Class ArrowResultChunk.Builder

java.lang.Object
com.databricks.jdbc.api.impl.arrow.ArrowResultChunk.Builder

Enclosing class:
  `ArrowResultChunk`

public static class ArrowResultChunk.Builder extends Object

## Constructor Summary

Constructors
Constructor
Description
`Builder()`

## Method Summary

Modifier and Type
Method
Description
`ArrowResultChunk`
`build()`
`ArrowResultChunk.Builder`
`withChunkInfo(com.databricks.sdk.service.sql.BaseChunkInfo baseChunkInfo)`
`ArrowResultChunk.Builder`
`withChunkReadyTimeoutSeconds(int chunkReadyTimeoutSeconds)`
`ArrowResultChunk.Builder`
`withChunkStatus(ChunkStatus status)`
`ArrowResultChunk.Builder`
`withInputStream(InputStream stream, long rowCount)`
`ArrowResultChunk.Builder`
`withStatementId(StatementId statementId)`
`ArrowResultChunk.Builder`
`withThriftChunkInfo(long chunkIndex, TSparkArrowResultLink chunkInfo)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder()

## Method Details

### withStatementId

public ArrowResultChunk.Builder withStatementId(StatementId statementId)

### withChunkInfo

public ArrowResultChunk.Builder withChunkInfo(com.databricks.sdk.service.sql.BaseChunkInfo baseChunkInfo)

### withInputStream

public ArrowResultChunk.Builder withInputStream(InputStream stream, long rowCount)

### withThriftChunkInfo

public ArrowResultChunk.Builder withThriftChunkInfo(long chunkIndex, TSparkArrowResultLink chunkInfo)

### withChunkStatus

public ArrowResultChunk.Builder withChunkStatus(ChunkStatus status)

### withChunkReadyTimeoutSeconds

public ArrowResultChunk.Builder withChunkReadyTimeoutSeconds(int chunkReadyTimeoutSeconds)

### build

public ArrowResultChunk build() throws DatabricksParsingException

Throws:
  `DatabricksParsingException`